<?php

  if( $Debug == 1 ){
    echo "Validate User Tendero";
  }

  $debugin    = $decoded['debug'];
  $codigo     = $decoded['codigo'];
  $FechaHoy       = date('Y-m-d H:i:s');

  if( $debugin == 1 ){

    echo "Debug-in\n";
    echo $id."\n";
    echo $cel."\n";

  }

  if( $codigo ){

    //Valida Codigo de Usuario
    $Query = "
      SELECT
        usr.id,
        usr.email,
        usr.codigo
      FROM usuarios_app usr
      WHERE
        usr.clave = '$codigo'
    ";
    $Result = mysqli_query($mysqli, $Query);
    $UserVal = mysqli_fetch_assoc($Result);
    if( $UserVal[id] ){

      //Update
      $Query = "
        UPDATE usuarios_app
        SET
          fk_usuario_tipo = '2'
        WHERE
          id = '$UserVal[id]'
      ";
      $Result = mysqli_query($mysqli, $Query);

      $Data = array(
        'action'        => 'ok',
        'msn'           => 'Usuario validado como Tendero.',
        'codigo'        => $codigo
      );
      echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

    }else{

      //Error
      $Data = array(
        'action'      => 'error',
        'error'       => 'Er-0',
        'error_msn'   => 'Código incorrecto'
      );
      echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

    }


  }else{
    //Error
    $Data = array(
      'action'      => 'error',
      'error'       => 'Er-0',
      'error_msn'   => 'Código incorrecto'
    );
    echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);


  }

?>
